local cwd  = (...):gsub('%.player$', '') .. "."
local Parent = require(cwd .. "parent")
local Player = Parent:extend()

function Player:new(world, x, y, id)
  Player.super.new(self, world, "player", x, y, 16, 16, true)

end

function Player:update(dt)
  self.xfrc, self.yfrc = 480*3, 480*3

  if self.keys["up"].isDown then
    self.ysp = -120
  end
  if self.keys["down"].isDown then
    self.ysp =  120
  end
  if self.keys["left"].isDown then
    self.xsp = -120
  end
  if self.keys["right"].isDown then
    self.xsp =  120
  end

  Player.super.update(self, dt)
end

function Player:draw()
  Player.super.draw(self)
end

return Player
